Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Enum IncidenceMatrixTGSource

    java.lang.Object
      java.lang.Enum<IncidenceMatrixTGSource>
          umontreal.iro.lecuyer.contactcenters.msk.params.IncidenceMatrixTGSource

All Implemented Interfaces:
  Serializable, Comparable<IncidenceMatrixTGSource>

    public enum IncidenceMatrixTGSource

extends Enum<IncidenceMatrixTGSource>

Java class for IncidenceMatrixTGSource.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="IncidenceMatrixTGSource">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="incidenceMatrixGT"/>
         <enumeration value="ranksTG"/>
         <enumeration value="typeToGroupMap"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`INCIDENCE_MATRIX_GT` Constructs the type-to-group incidence matrix by transposing the group-to-type matrix.
`RANKS_TG` Creates an incidence matrix by setting each element
`TYPE_TO_GROUP_MAP` Element

Method Summary
`static IncidenceMatrixTGSource` | `fromValue(String v)`
`String` | `value()`
`static IncidenceMatrixTGSource` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IncidenceMatrixTGSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INCIDENCE_MATRIX_GT

    public static final IncidenceMatrixTGSource INCIDENCE_MATRIX_GT

  Constructs the type-to-group incidence matrix by transposing the group-to-type matrix.

### RANKS_TG

    public static final IncidenceMatrixTGSource RANKS_TG

  Creates an incidence matrix by setting each element

       <?xml version="1.0" encoding="UTF-8"?><i xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">(k,i)</i>

  to

       <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">true</tt>

  if and only if the corresopnding rank is finite.

### TYPE_TO_GROUP_MAP

    public static final IncidenceMatrixTGSource TYPE_TO_GROUP_MAP

  Element

       <?xml version="1.0" encoding="UTF-8"?><i xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">(k,i)</i>

  of the incidence matrix is

       <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">true</tt>

  if and only agent group

       <?xml version="1.0" encoding="UTF-8"?><i xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">i</i>

  is included in the list for contact type

       <?xml version="1.0" encoding="UTF-8"?><i xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">k.</i>

Method Detail

### values

    public static IncidenceMatrixTGSource[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IncidenceMatrixTGSource c : IncidenceMatrixTGSource.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IncidenceMatrixTGSource valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static IncidenceMatrixTGSource fromValue(String v)

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.